Package: org.codehaus.groovy.macro.transform

## [Java] Class MacroClassTransformation

- org.codehaus.groovy.macro.transform.MacroClassTransformation

-     @GroovyASTTransformation(phase = CompilePhase.CONVERSION)
      public class MacroClassTransformation
      extends MethodCallTransformation

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected GroovyCodeVisitor` | `getTransformer(ASTNode[] nodes, SourceUnit sourceUnit)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodCallTransformation` | `getTransformer, visit`

- - ### Method Detail

    - #### @Override
      protected GroovyCodeVisitor getTransformer(ASTNode[] nodes, SourceUnit sourceUnit)